Package com.io7m.jregions.core.parameterized.sizes

# Class PAreaSizeBI.Builder<S>

java.lang.Object
com.io7m.jregions.core.parameterized.sizes.PAreaSizeBIType.Builder<S>
com.io7m.jregions.core.parameterized.sizes.PAreaSizeBI.Builder<S>

Enclosing class:
  PAreaSizeBI<S>

    public static final class PAreaSizeBI.Builder<S>
    extends PAreaSizeBIType.Builder<S>

Builds instances of type `PAreaSizeBI`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

`Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `PAreaSizeBI<S>` | `build()` | Builds a new `PAreaSizeBI`.
  `PAreaSizeBI.Builder<S>` | `from​(PAreaSizeBIType<S> instance)` | Fill a builder with attribute values from the provided `com.io7m.jregions.core.parameterized.sizes.PAreaSizeBIType` instance.
  `PAreaSizeBI.Builder<S>` | `from​(AreaSizeValuesBIType instance)` | Fill a builder with attribute values from the provided `com.io7m.jregions.core.unparameterized.sizes.AreaSizeValuesBIType` instance.
  `PAreaSizeBI.Builder<S>` | `setSizeX​(java.math.BigInteger sizeX)` | Initializes the value for the `sizeX` attribute.
  `PAreaSizeBI.Builder<S>` | `setSizeY​(java.math.BigInteger sizeY)` | Initializes the value for the `sizeY` attribute.

  ### Methods inherited from class com.io7m.jregions.core.parameterized.sizes.PAreaSizeBIType.Builder

  `setHeight, setWidth`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### from

    public final PAreaSizeBI.Builder<S> from​(AreaSizeValuesBIType instance)
    Fill a builder with attribute values from the provided `com.io7m.jregions.core.unparameterized.sizes.AreaSizeValuesBIType` instance.
    Parameters:
      `instance` - The instance from which to copy values
    Returns:
      `this` builder for use in a chained invocation

  - ### from

    public final PAreaSizeBI.Builder<S> from​(PAreaSizeBIType<S> instance)
    Fill a builder with attribute values from the provided `com.io7m.jregions.core.parameterized.sizes.PAreaSizeBIType` instance.
    Parameters:
      `instance` - The instance from which to copy values
    Returns:
      `this` builder for use in a chained invocation

  - ### setSizeX

    public final PAreaSizeBI.Builder<S> setSizeX​(java.math.BigInteger sizeX)
    Initializes the value for the `sizeX` attribute.
    Parameters:
      `sizeX` - The value for sizeX
    Returns:
      `this` builder for use in a chained invocation

  - ### setSizeY

    public final PAreaSizeBI.Builder<S> setSizeY​(java.math.BigInteger sizeY)
    Initializes the value for the `sizeY` attribute.
    Parameters:
      `sizeY` - The value for sizeY
    Returns:
      `this` builder for use in a chained invocation

  - ### build

    public PAreaSizeBI<S> build()
    Builds a new `PAreaSizeBI`.
    Returns:
      An immutable instance of PAreaSizeBI
    Throws:
      `java.lang.IllegalStateException` - if any required attributes are missing